org.bouncycastle.pqc.crypto.lms

## Class HSSPublicKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.pqc.crypto.lms.LMSKeyParameters
    - - org.bouncycastle.pqc.crypto.lms.HSSPublicKeyParameters

- All Implemented Interfaces:
    CipherParameters, LMSContextBasedVerifier, Encodable

      public class HSSPublicKeyParameters
      extends LMSKeyParameters
      implements LMSContextBasedVerifier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSSPublicKeyParameters(int l, LMSPublicKeyParameters lmsPublicKey)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `LMSContext` | `generateLMSContext(byte[] sigEnc)`
    `byte[]` | `getEncoded()` Return a byte array representing the implementing object.
    `static HSSPublicKeyParameters` | `getInstance(java.lang.Object src)`
    `int` | `getL()`
    `LMSPublicKeyParameters` | `getLMSPublicKey()`
    `int` | `hashCode()`
    `boolean` | `verify(LMSContext context)`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HSSPublicKeyParameters

          public HSSPublicKeyParameters(int l,
                                        LMSPublicKeyParameters lmsPublicKey)

  - ### Method Detail

    - #### getInstance

          public static HSSPublicKeyParameters getInstance(java.lang.Object src)
                                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getL

          public int getL()

    - #### getLMSPublicKey

          public LMSPublicKeyParameters getLMSPublicKey()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getEncoded

          public byte[] getEncoded()
                            throws java.io.IOException

      Description copied from interface: `Encodable`
      Return a byte array representing the implementing object.
      Specified by:
        `getEncoded` in interface `Encodable`
      Specified by:
        `getEncoded` in class `LMSKeyParameters`
      Returns:
        a byte array representing the encoding.
      Throws:
        `java.io.IOException` - if an issue arises generation the encoding.

    - #### generateLMSContext

          public LMSContext generateLMSContext(byte[] sigEnc)

      Specified by:
        `generateLMSContext` in interface `LMSContextBasedVerifier`

    - #### verify

          public boolean verify(LMSContext context)

      Specified by:
        `verify` in interface `LMSContextBasedVerifier`